# $Revision: 1.24 $, $Date: 2004/10/24 21:18:05 $
Summary:	Library of Python code used by various programs
Summary(pl):	Pliki wsadowe dla jzyka Python
Summary(pt_BR):	Biblioteca de cdigo Python usada por vrios programas Red Hat
Summary(es):	Biblioteca de cdigo Python usada por varios programas Red Hat
Name:		pythonlib
Version:	1.26
Release:	4
License:	GPL
Group:		Development/Libraries
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	986dfa39d68a33e428b6803f953080fc
Requires:	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains code used by a variety of programs. It includes
code for multifield listboxes and entry widgets with non-standard
keybindings, among others.

%description -l pl
W pakiecie znajduj si pliki wykorzystywane przez wiele programw.

%description -l pt_BR
Este pacote contm o cdigo usado por uma variedade de programas Red
Hat. Inclui cdigo para caixas de listas multicampo e widgets de
entrada de dados com associaes de teclas no padro, entre outros.

%description -l es
Este paquete contiene el cdigo usado por una variedad de programas
Red Hat. Incluye cdigo para cajas de listas multicampo y widgets de
entrada de datos con asociaciones de teclas no padrn, entre otros.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install LIBDIR=$RPM_BUILD_ROOT%{_libdir}/python


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%{_libdir}/python

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pythonlib.spec,v $
Revision 1.24  2004/10/24 21:18:05  paladine
- spelling fixes, uppercases, etc.

Revision 1.23  2004/08/09 18:59:30  arekm
- rel 4

Revision 1.22  2003/11/11 01:42:28  ankry
- caps unification, other cosmetics

Revision 1.21  2003/08/28 08:20:34  ankry
- cosmetics

Revision 1.20  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/11/29 22:46:10  ankry
- massive attack: new %%doc

Revision 1.17  2002/02/23 04:25:52  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/12/07 21:43:35  blues
- release 3
- add some stollen translations from CNV
- fix in files
NOTE: isn't it bit outdated ?

Revision 1.13  2001/12/07 13:49:32  qboosh
- more Groups (using adapter)

Revision 1.12  2000/07/12 19:42:26  kloczek
- spec adapterized.

Revision 1.11  2000/07/12 19:37:04  baggins
- updated to 1.26
- changed dir from rhs/python to python

Revision 1.10  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.7  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.6  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Nov 15 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.22-3]
- build for Linux PLD, from non root account,
- added pl translation,
- major changes.

* Fri Jul 10 1998 Michael Maher <mike@redhat.com>
- patched Conf.py so that kernelcfg works.
- added Buildroot.

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
Added some stuff to deal with -k

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
do not require tkinter; apps that explicitly use tkinter through
pythonlib should require tkinter themselves.

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
require tkinter

* Fri Oct 31 1997 Michael K. Johnson <johnsonm@redhat.com>
ConfFstab for cabaret

* Mon Sep 29 1997 Michael K. Johnson <johnsonm@redhat.com>
Major changes for new version of netcfg.
- Clone files keep differences in some way appropriate to the type of file.
- RCS management of almost all files (all but password-type files) -- just
  create a subdirectory called RCS in any directory where you want to
  monitor changes made by control-panel tools that use pythonlib.  That
  can also be a symlink, but watch for filename conflicts.
- Smart chatfile handling that knows something about the contents of a
  chatfile.
- Far better algorithm for finding free user and group ids: first do the
  old sparse search, then if that fails, search for first free id.  This
  algorithm is used for both user and group ids.
- EntryBox class is a toplevel that provides a single entry in a modal manner.

Also made it a noarch package.

* Mon Aug 11 1997 Michael K. Johnson <johnsonm@redhat.com>
Added fix for shadow files.  (Not a CVS branch; change made in master as well)

* Mon Jun 02 1997 Michael K. Johnson <johnsonm@redhat.com>
Added proper error raising and error-on-missing files for kernelcfg.

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>
Fields terminated only by separator or end of line.

* Fri Mar 28 1997 Michael K. Johnson <johnsonm@redhat.com>
Fixed quoted ampersand in ConfShellVar

* Wed Mar 12 1997 Michael K. Johnson <johnsonm@redhat.com>
Fixed quoted equals in ConfShellVar

* Wed Mar 05 1997 Michael K. Johnson <johnsonm@redhat.com>
Changed to /etc/ppp/pap-secrets

* Wed Feb 26 1997 Michael K. Johnson <johnsonm@redhat.com>
Added class for managing /etc/pap-secrets.
Improved class for managing /etc/sysconfig/static-routes
